<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.TransactionFlowMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="transactionFlowResultMap" type="org.springblade.modules.finance.entity.TransactionFlow">
        <id column="id" property="id"/>
        <result column="transaction_no" property="transactionNo"/>
        <result column="amount" property="amount"/>
        <result column="status" property="status"/>
        <result column="payment_type" property="paymentType"/>
        <result column="payment_time" property="paymentTime"/>
        <result column="cancel_time" property="cancelTime"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectTransactionFlowPage" resultMap="transactionFlowResultMap">
        select * from t_transaction_flow where is_deleted = 0
    </select>

</mapper>
